import { BaseDomainEvent } from './base-domain.event';

export class ItemFavoritedEvent extends BaseDomainEvent {
  readonly eventType = 'workspace.item.favorited';

  constructor(
    public readonly userId: string,
    public readonly favoriteId: string,
    public readonly targetType: string,
    public readonly targetId: string,
  ) {
    super();
  }
}
